autofs-5.0.8 - fix symlink fail message in mount_bind.c

From: Ian Kent <raven@themaw.net>


---
 CHANGELOG            |    1 +
 modules/mount_bind.c |    2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/CHANGELOG b/CHANGELOG
index a9c374a..6b92fe5 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -20,6 +20,7 @@
 - fix negative status being reset on map read.
 - check for existing offset mount before mounting.
 - fix max() declaration.
+- fix symlink fail message in mount_bind.c.
 
 17/10/2013 autofs-5.0.8
 =======================
diff --git a/modules/mount_bind.c b/modules/mount_bind.c
index a70bf3a..8cb1605 100644
--- a/modules/mount_bind.c
+++ b/modules/mount_bind.c
@@ -206,7 +206,7 @@ int mount_mount(struct autofs_point *ap, const char *root, const char *name, int
 		if (symlink(what, fullpath) && errno != EEXIST) {
 			error(ap->logopt,
 			      MODPREFIX
-			      "failed to create local mount %s -> %s",
+			      "failed to create symlink %s -> %s",
 			      fullpath, what);
 			if ((ap->flags & MOUNT_FLAG_GHOST) && !status)
 				if (mkdir_path(fullpath, 0555) && errno != EEXIST) {
